unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.StdCtrls, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Button1: TButton;
    RadioGroup1: TRadioGroup;
    Button2: TButton;
    RadioGroup2: TRadioGroup;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeCanvas;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=False;
  Chart1.Border.Visible:=True;
  Chart1.Border.Width:=1;
  Chart1.BevelOuter:=bvNone;
  Chart1.BevelInner:=bvNone;

  RadioGroup2.ItemIndex:=0;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  Chart1.Border.Visible := true;
  Chart1.Border.Width:=RadioGroup1.ItemIndex;
  Chart1.BevelOuter:=bvNone;
  Chart1.BevelInner:=bvNone;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
  if RadioGroup2.ItemIndex=0 then
  begin
    Chart1.Canvas:=TTeeCanvas3D.Create;
    Chart1.Title.Text.Text:='GDI';
  end
  else
  begin
    Chart1.Canvas:=TGDIPlusCanvas.Create;
    Chart1.Title.Text.Text:='GDIPlus';
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Chart1.Border.Width:=RadioGroup1.ItemIndex;
  Chart1.BevelOuter:=bvNone;
  Chart1.BevelInner:=bvNone;
  Chart1.CopyToClipboardMetafile(True);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Chart1.Border.Visible := false;
  Chart1.BevelOuter:=bvNone;
  Chart1.BevelInner:=bvNone;
  Chart1.CopyToClipboardMetafile(True);

  RadioGroup1.ItemIndex := -1;
end;

end.
